> For the complete documentation index, see [llms.txt](https://apidocs.nhanh.vn/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.nhanh.vn/v2/website/addcontact.md).

# Thêm liên hệ

* /api/website/addcontact: Tính năng này dùng để thêm và sửa liên hệ. Hệ thống dùng trường email làm key, nếu chưa tồn tại thì sẽ thêm mới, nếu tồn tại rồi thì sẽ cập nhật thông tin.
* Tối đa mỗi lần không quá 100 liên hệ.

## Request

* Xem các [common request params](/v2/readme.md#request-params)
* Các key của mảng **data array** dùng để tạo **data** json string:

  ```javascript
  // each request can send maximum 100 customers
  [
    [ // contact 1 ], // see the structure in the table below
    [ // contact 2 ],
    ...
  ]
  ```

| Key     | Type                          | Description   |
| ------- | ----------------------------- | ------------- |
| name    | string $$^{{\color{red}\*}}$$ | Tên           |
| email   | string $$^{{\color{red}\*}}$$ | Email         |
| mobile  | string                        | Số điện thoại |
| address | string                        | Địa chỉ       |
| subject | string                        | Tiêu đề       |
| content | string                        | Nội dung      |
| note    | string                        | Ghi chú       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.nhanh.vn/v2/website/addcontact.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
